Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.http
Class HTTPClientIL

    java.lang.Object
      org.jboss.mq.il.http.HTTPClientIL

All Implemented Interfaces:
  ClientIL, Serializable

public class HTTPClientIL
extends Object
implements ClientIL, Serializable

The HTTP/S implementation of the ClientIL object

Version:
  $Revision: 1.3 $
Author:
  Nathan Phelps (nathan@jboss.org)
See Also:
  Serialized Form

Field Summary
`boolean` | `stopped`

Constructor Summary
`HTTPClientIL(String clientIlId)`

Method Summary
`void` | `close()` The connection is closed
`void` | `deleteTemporaryDestination(SpyDestination dest)` One TemporaryDestination has been deleted
`void` | `pong(long serverTime)` Response to a ping sent by a client.
`void` | `receive(ReceiveRequest[] messages)` A message has arrived for the Connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stopped

    public boolean stopped

Constructor Detail

### HTTPClientIL

    public HTTPClientIL(String clientIlId)

Method Detail

### close

    public void close()
               throws Exception

  Description copied from interface: `ClientIL`
  The connection is closed

  Specified by:
    `close` in interface `ClientIL`
  Throws:
    `Exception` - Description of Exception

### deleteTemporaryDestination

    public void deleteTemporaryDestination(SpyDestination dest)
                                    throws Exception

  Description copied from interface: `ClientIL`
  One TemporaryDestination has been deleted

  Specified by:
    `deleteTemporaryDestination` in interface `ClientIL`
  Parameters:
    `dest` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### pong

    public void pong(long serverTime)
              throws Exception

  Description copied from interface: `ClientIL`
  Response to a ping sent by a client.

  Specified by:
    `pong` in interface `ClientIL`
  Parameters:
    `serverTime` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

### receive

    public void receive(ReceiveRequest[] messages)
                 throws Exception

  Description copied from interface: `ClientIL`
  A message has arrived for the Connection. Deliver messages to client.

  Specified by:
    `receive` in interface `ClientIL`
  Parameters:
    `messages` - Description of Parameter
  Throws:
    `Exception` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.